| Kea 3.0.2-git

cfg_iface.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcp/iface_mgr.h>`
`#include <util/reconnect_ctl.h>`
`#include <cc/cfg_to_element.h>`
`#include <cc/user_context.h>`
`#include <boost/shared_ptr.hpp>`
`#include <map>`
`#include <set>`
`#include <string>`
Include dependency graph for cfg_iface.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::CfgIface
| Represents selection of interfaces for DHCP server. More...
class | isc::dhcp::DuplicateAddress
| Exception thrown when duplicated address specified. More...
class | isc::dhcp::DuplicateIfaceName
| Exception thrown when duplicated interface names specified. More...
class | isc::dhcp::InvalidIfaceName
| Exception thrown when specified interface name is invalid. More...
class | isc::dhcp::InvalidSocketType
| Exception thrown when invalid socket type has been specified for the given family. More...
class | isc::dhcp::NoSuchAddress
| Exception thrown when specified unicast address is not assigned to the interface specified. More...
class | isc::dhcp::NoSuchIface
| Exception thrown when specified interface doesn't exist in a system. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< CfgIface > | isc::dhcp::CfgIfacePtr
| A pointer to the `CfgIface` .
typedef boost::shared_ptr< const CfgIface > | isc::dhcp::ConstCfgIfacePtr
| A pointer to the const `CfgIface`.